/*
 * Copyright 1999-2009 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __ESG_GRIDMAP_ASSIST_H
#define __ESG_GRIDMAP_ASSIST_H

#ifndef GLOBUS_DONT_DOCUMENT_INTERNAL
/**
 * @file module.h
 * ESG assist code
 *
 * $RCSfile: esg_gridmap_assist.h,v $
 * $Revision: 1.25 $
 * $Date $
 */
#endif

typedef struct
{
    char admin_attr[128];
    char admin_local_account[128];
} config_t;

#define MAX_CONFIG_KV_LEN 128

#ifndef MIN
#define MIN(a,b) ((a < b) ? a : b)
#endif

void set_security_context(gss_ctx_id_t *context);

int parse_config_file(char *config_file, config_t *config);
int parse_credential_extension(config_t *config);

#endif /* __ESG_GRIDMAP_ASSIST_H */
